Update the Platform

When performing a major version upgrade of the CA API Developer Portal, also update the underlying platform. Updating the platform applies corrections for security issues in the operating system.
apip42
When performing a major version upgrade of the CA API Developer Portal, also update the underlying platform. Updating the platform applies corrections for security issues in the operating system.
The apim-portal script is deprecated in API Portal version 4.1. Ignore references to this script if you are updating version 4.2 and later.
To update the platform:
  1. Are you upgrading from CA API Developer Portal version 4.0.x or 4.1.x? 
    If yes, then stop the API Portal using the apim-portal script: 
    # systemctl stop apim-portal
    If you are are upgrading from version 4.2.x, continue to the next step. 
  2. Stop docker:
    # systemctl stop docker
  3. Remove the current release version reference variable:
    # sudo rm /etc/yum/vars/releasever
  4. Release the version lock for the installed packages:
    # sudo yum versionlock clear
  5. Update the packages that are installed on your CentOS 7.x VM to the latest packages:
    # sudo yum update -y